MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026810Open CASCADE[OCCT] OCCT:Visualizationpublic2015-10-24 15:352016-04-20 15:51
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026810: Visualization, TKOpenGl - line is shown without stipple aspect with FFP turned off on OpenGL before 3.2
DescriptionBounding box is displayed incorrectly within the following test case when FFP is turned off:within test case v3d/point_cloud/sphere
* v3d/point_cloud/sphere
Steps To ReproduceTest case v3d/glsl/stipple_line
TagsNo tags attached.
Test case numberv3d glsl stipple_line
Attached Filespng file icon sphere_OK_FFP.png (19,634 bytes) 2015-10-24 15:36
png file icon sphere_KO_GLSL.png (9,713 bytes) 2015-10-24 15:37

- Relationships
child of 0024838closedbugmaster Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 
child of 0025305closedbugmaster Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs 

-  Notes
(0047419)
kgv (developer)
2015-10-24 15:43

TKOpenGl | Type: Portability | ID: 0 | Severity: High | Message:
  Warning: stipple lines in GLSL will be ignored.

OpenGL info:
  GLvendor    = 'X.Org'
  GLdevice    = 'Gallium 0.4 on AMD HAWAII'
  GLversion   = '3.0 Mesa 10.5.9'
  GLSLversion = '1.30'

OK, this functionality requires OpenGL 3.2+ for now...

  if ((theBits & OpenGl_PO_StippleLine) != 0)
  {
    bool hasCaps = false;
  #if defined(GL_ES_VERSION_2_0)
    if (myContext->IsGlGreaterEqual (3, 0))
    {
      aProgramSrc->SetHeader ("#version 300 es");
      hasCaps = true;
    }
  #else
    if (myContext->core32 != NULL)
    {
      aProgramSrc->SetHeader ("#version 150");
      hasCaps = true;
    }
  #endif
(0047421)
git (administrator)
2015-10-24 17:32

Branch CR26810 has been created by kgv.

SHA-1: 9777dc31acf017fe7afcff40f7ad66dff7b93eda


Detailed log of new commits:

Author: kgv
Date: Sat Oct 24 17:32:36 2015 +0300

    0026810: Visualization, TKOpenGl - line is shown without stipple aspect with FFP turned off on OpenGL before 3.2
    
    OpenGl_ShaderManager::prepareStdProgramFlat() enable stipple line GLSL program
    within OpenGL 3.0+, OpenGL ES 3.0+ and OpenGL 2.0+ with GL_EXT_gpu_shader4 extension.
(0047422)
kgv (developer)
2015-10-24 17:38

Patch is ready for review.

It lowers requirements for stipple line GLSL program:
- OpenGL 3.0 is sufficient for this functionality (useful for Mesa, where 3.2+ is available only within Core Profile).
- OpenGL 2.0 + GL_EXT_gpu_shader4 extension (useful for OS X Backward Compatible Profile, not yet tested).
(0047505)
san (developer)
2015-10-27 20:56

Branch CR26810 reviewed without remarks, ready for testing.
(0047527)
git (administrator)
2015-10-28 13:18

Branch CR26810 has been updated forcibly by mkv.

SHA-1: 3191972e228ba95fb264c0a89ec6435b14291d30
(0047603)
mkv (tester)
2015-10-29 14:28

Dear BugMaster,
Branch CR26810 was rebased on current master of occt git-repository.
(0047604)
mkv (tester)
2015-10-29 14:34

Dear BugMaster,
Branch CR26810 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3191972e228ba95fb264c0a89ec6435b14291d30

Number of compiler warnings:

occt component :
Linux: 1 (1 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26810-master-occt-64/Debian70-64/v3d/glsl/stipple_line.html [^]
http://occt-tests/CR26810-master-occt-64/Windows-64-VC10/v3d/glsl/stipple_line.html [^]
v3d glsl stipple_line: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91962843 / 92329714 [-0.40%]
Total CPU difference: 19661.919999999842 / 19731.069999999687 [-0.35%]
products component :
Total MEMORY difference: 26224386 / 26262994 [-0.15%]
Total CPU difference: 7380.790000000005 / 7369.970000000013 [+0.15%]

Testing on Windows:
occt component :
Total MEMORY difference: 58090962 / 58090849 [+0.00%]
Total CPU difference: 18594.63279559907 / 18494.870156099 [+0.54%]
products component :
Total MEMORY difference: 17156790 / 17161034 [-0.02%]
Total CPU difference: 5708.185790699975 / 5657.423065299974 [+0.90%]

There are no differences in images found by testdiff.
(0047605)
mkv (tester)
2015-10-29 14:35

Dear BugMaster,
Branch CR26810 is TESTED.
(0053185)
git (administrator)
2016-04-17 14:30

Branch CR26810 has been deleted by kgv.

SHA-1: 3191972e228ba95fb264c0a89ec6435b14291d30

- Related Changesets
occt: master 959a265a
Timestamp: 2015-10-24 14:32:36
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026810: Visualization, TKOpenGl - line is shown without stipple aspect with FFP turned off on OpenGL before 3.2

OpenGl_ShaderManager::prepareStdProgramFlat() enable stipple line GLSL program
within OpenGL 3.0+, OpenGL ES 3.0+ and OpenGL 2.0+ with GL_EXT_gpu_shader4 extension.
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-10-24 15:35 kgv New Issue
2015-10-24 15:35 kgv Assigned To => kgv
2015-10-24 15:36 kgv File Added: sphere_OK_FFP.png
2015-10-24 15:37 kgv File Added: sphere_KO_GLSL.png
2015-10-24 15:37 kgv Relationship added child of 0024838
2015-10-24 15:38 kgv Relationship added child of 0025305
2015-10-24 15:43 kgv Note Added: 0047419
2015-10-24 15:44 kgv Priority normal => low
2015-10-24 15:44 kgv Target Version 7.0.0 => 7.1.0
2015-10-24 15:44 kgv Summary Visualization, TKOpenGl - line is shown without stipple aspect within test case v3d/point_cloud/sphere => Visualization, TKOpenGl - line is shown without stipple aspect with FFP turned off on OpenGL before 3.2
2015-10-24 15:44 kgv Description Updated View Revisions
2015-10-24 17:32 git Note Added: 0047421
2015-10-24 17:33 kgv Steps to Reproduce Updated View Revisions
2015-10-24 17:38 kgv Note Added: 0047422
2015-10-24 17:38 kgv Assigned To kgv => san
2015-10-24 17:38 kgv Priority low => normal
2015-10-24 17:38 kgv Status new => resolved
2015-10-24 17:38 kgv Target Version 7.1.0 => 7.0.0
2015-10-27 20:56 san Note Added: 0047505
2015-10-27 20:56 san Assigned To san => bugmaster
2015-10-27 20:56 san Status resolved => reviewed
2015-10-28 13:18 git Note Added: 0047527
2015-10-28 13:39 mkv Assigned To bugmaster => mkv
2015-10-29 14:28 mkv Note Added: 0047603
2015-10-29 14:34 mkv Note Added: 0047604
2015-10-29 14:35 mkv Note Added: 0047605
2015-10-29 14:35 mkv Assigned To mkv => bugmaster
2015-10-29 14:35 mkv Status reviewed => tested
2015-10-29 14:35 mkv Test case number => v3d glsl stipple_line
2015-10-30 16:00 bugmaster Changeset attached => occt master 959a265a
2015-10-30 16:00 bugmaster Status tested => verified
2015-10-30 16:00 bugmaster Resolution open => fixed
2016-04-17 14:30 git Note Added: 0053185
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker